<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments and the comment 
 * form. The actual display of comments is handled by a callback to 
 * comments_walker which is located in the functions.php file (inside
 * the SanFran base class).
 *
 * @package WordPress
 * @subpackage San Fran
 * @version 1.0.3
 */
 
global $sanfran;
?>

			<div id="comments">
<?php if ( post_password_required() ) : ?>
				<p class="nopassword"><?php _e('This post is password protected. Enter the password to view any comments.', 'sanfran'); ?></p>
			</div><!-- #comments -->
<?php
		/* Stop the rest of comments.php from being processed,
		 * but don't kill the script entirely -- we still have
		 * to fully load the template.
		 */
		return;
	endif;
?>

<?php
	// You can start editing here -- including this comment!
?>

<?php if ( have_comments() ): ?>
			<h3 id="comments-title"><?php
			_e('Comments', 'sanfran');
			?></h3>

<?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : // Are there comments to navigate through? ?>
			<div class="navigation">
				<div class="nav-previous"><?php previous_comments_link(__('<span class="meta-nav">&larr;</span> Older Comments', 'sanfran')); ?></div>
				<div class="nav-next"><?php next_comments_link(__('Newer Comments <span class="meta-nav">&rarr;</span>', 'sanfran')); ?></div>
			</div> <!-- .navigation -->
<?php endif; // check for comment navigation ?>

			<ol class="commentlist">
				<?php
					wp_list_comments(array('callback' => array(&$sanfran, 'comment_walker')));
				?>
			</ol>

<?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : // Are there comments to navigate through? ?>
			<div class="navigation">
				<div class="nav-previous"><?php previous_comments_link(__('<span class="meta-nav">&larr;</span> Older Comments', 'sanfran')); ?></div>
				<div class="nav-next"><?php next_comments_link(__('Newer Comments <span class="meta-nav">&rarr;</span>', 'sanfran')); ?></div>
			</div><!-- .navigation -->
<?php endif; // check for comment navigation ?>

<?php else : // or, if we don't have comments:

	/* If there are no comments and comments are closed,
	 * let's leave a little note, shall we?
	 */
	if (!comments_open() && !is_page()):
?>
	<h3 class="nocomments"><?php _e('Comments are closed', 'sanfran'); ?></h3>
<?php endif; // end ! comments_open() ?>

<?php endif; // end have_comments() ?>

<?php comment_form("comment_notes_before = ''"); ?>

</div><!-- #comments -->
