<?php
/**
 * The Header Area
 *
 * Appropriate stylesheets, wp_head and color-scheme selection
 * using the body class. The body_class is hooked in functions.php
 * to output the color class. The primary navigation menu is present
 * here.
 *
 * @package WordPress
 * @subpackage San Fran
 * @version 1.0.3
 */
 
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo('charset'); ?>" />
	<title><?php
		// Let's construct the title
		global $page, $paged;
		wp_title( '-', true, 'right' );

		// Add the blog name and description if available (on the front page).
		bloginfo( 'name' );
		$site_description = get_bloginfo( 'description', 'display' );
		if ( $site_description && ( is_home() || is_front_page() ) )
			echo " &#8211; $site_description";

		// Add a page number if necessary:
		if ( $paged >= 2 || $page >= 2 )
			echo ' &#8211; ' . sprintf( __( 'Page %s', 'sanfran' ), max( $paged, $page ) );

	?></title>
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/reset.css" type="text/css" media="screen" />
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/960.css" type="text/css" media="screen" />
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>?v=1.0" type="text/css" media="screen" />
	<link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/images/favicon.ico" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<?php if ( is_singular() && get_option( 'thread_comments') ) { wp_enqueue_script( 'comment-reply' ); } ?>
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<div class="header-fill">
		<div class="container_12 header">
			<div class="grid_1">
				&nbsp;
			</div>
			<div class="grid_11">
				<div id="navigation">
				<?php wp_nav_menu( array( 'menu' => 'primary', 'menu_id' => 'menu-header', 'theme_location' => 'primary', 'depth' => 2 ) ); ?>
				</div>
			</div>
		</div>
	</div>
	<div class="clear"></div>
	<div class="container_12 content">
			<div class="grid_1">
				&nbsp;
			</div>
			<div class="grid_11">
				<a href="<?php echo home_url(); ?>" id="logo"><?php bloginfo('name'); ?></a>
				<a href="<?php echo home_url(); ?>" id="description"><?php bloginfo('description'); ?></a>
				<br class="clear" />
			</div>
			<div class="clear">
			</div>
