<?php
/**
 * Search
 *
 * Displays the search results in a different fashion than the archive
 *
 * @package WordPress
 * @subpackage San Fran
 * @version 1.0.3
 */

get_header(); ?>
	<div class="grid_1">
		&nbsp;
	</div>
	<div class="grid_8 search-content">
		<h3>
			<?php printf(__('Search Results for: %s', 'sanfran' ), '<span class="search-keyword">' . get_search_query() . '</span>'); ?>
		</h3>

		<?php if ( have_posts() ): ?>

			<?php while ( have_posts() ): the_post(); ?>

				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="post-format-icon"></div>
					<div class="post-content search-content">
						<?php if ( get_the_title() ): ?>
							<h4 class="search-item-title"><a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('Permalink to %s', 'sanfran'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><?php the_title() ?></a></h4>
						<?php endif; ?>
						<div class="post-text">
							<?php the_excerpt(); ?>
							<span><a href="<?php the_permalink(); ?>" class="search-link"><?php the_permalink(); ?></a></span>
						</div>
					</div>
				</div>
				<br class="clear" />

			<?php endwhile; ?>
			
		<?php else: ?>
			
			<p><?php _e( 'No posts were found matching your criteria. Please try a different search.', 'sanfran' ); ?></p>

		<?php endif; ?>
		
		<div class="post-separator"></div>
		
		<?php get_template_part( 'pagination' ); ?>

	</div>
	<?php get_sidebar( 'search' ); ?>
</div>
<?php get_footer(); ?>