<?php
/**
 * The Sidebar
 *
 * There's one widgetized area that can be used. In case it isn't
 * we fall back with some static content.
 *
 * @package WordPress
 * @subpackage San Fran
 * @version 1.0.3
 */
?>
		<div class="grid_3">
			<div id="sidebar">
			<?php if ( ! dynamic_sidebar() ): ?>
			<?php
				// Sidebar arguments, should be same as in functions.php
				$sidebar_args = array(
					'before_widget' => '<div class="widget">',
					'after_widget' => '</div>',
					'before_title' => '<p class="heading">',
					'after_title' => '</p>',
				);
				
				// The Search widget
				the_widget('WP_Widget_Search', array('title' => ''), $sidebar_args);
				
				// Welcome Note
				$about_the_theme = "\n\n" . '<a href="http://theme.fm/themes/san-fran/">' . __('About the theme &raquo;', 'sanfran') . '</a>';
				the_widget('WP_Widget_Text', array(
					'title' => __('About', 'sanfran'),
					'text' => __("Welcome to the San Francisco theme. You're seeing this text because you haven't configured your widgets. Browse to the Widgets section in your admin panel.", 'sanfran') . $about_the_theme,
					'filter' => true // adds paragraphs
				), $sidebar_args);
				
				// And the rest
				the_widget('WP_Widget_Archives', array('count' => '', 'dropdown' => ''), $sidebar_args);
				the_widget('WP_Widget_Categories', array('count' => '', 'dropdown' => '', 'hierarchical' => ''), $sidebar_args);
				the_widget('WP_Widget_Links', array(), $sidebar_args);
				
			?>
			<?php endif; ?>
		</div>		
	</div>

